# Ref.: http://fedoraproject.org/wiki/Packaging:SourceURL#Github
#       https://fedoraproject.org/wiki/Packaging:NamingGuidelines?rd=Packaging/NamingGuidelines#SnapshotPackages

# Change commit and date if new from upstream
%global commit e9110d9854ccd4b355bf62098c5aca57f3d898d1
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date 20151026

Name:      perl-UiO
Version:   0.6
Release:   6.%{date}git%{shortcommit}%{?dist}
Summary:   UiO perl modules

Group:     System Environment/Base
License:   GPL+ or Artistic

URL:       http://www.uio.no/tjenester/it/maskin/linux/
Source0:   http://git.uio.no/git/?p=perl-UiO.git;a=snapshot;h=%{commit};sf=tbz2#/%{name}-%{shortcommit}.tar.bz2

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# Automatic RPM deps didn't catch this
Requires:  perl(Template)

BuildRequires:  perl(ExtUtils::MakeMaker)

Provides:  perl(UiO::Host), perl(UiO::iLO), perl(UiO::NetApp), perl(UiO::Pathname), perl(UiO::BOFH)

BuildArch: noarch

%{?perl_default_filter}

%description
This packages contains various perl modules for use at UiO. They are
typically used for administering Linux servers and other maintenance
tasks.

%prep
%setup -q -n %{name}-%{shortcommit}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

%files
%defattr(-, root, root, -)
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Mon Oct 26 2015 Mikael Dalsgard <mikael.dalsgard@usit.uio.no> - 0.6-6.20151026gite9110d9
- Netapp.pm: sarpanitu.uio.no can for the time being use all the netapp code due to new OnTap version

* Wed Oct 21 2015 Mikael Dalsgard <mikael.dalsgard@usit.uio.no> - 0.6-5.20151021gitbdd89c8
- Netapp.pm: add sarpanitu.uio.no to the lists of Netapp systems

* Mon Oct 19 2015 Mikael Dalsgard <mikael.dalsgard@usit.uio.no> - 0.6-4.20151019git6cc0638
- Pathname.pm: add mapping for sarpanitu.uio.no

* Mon Oct 20 2014 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.6-3.20141020gita9e9ad2
- Pathname.pm: add mapping for asgard.ifi and bifrost.ifi

* Thu Oct  9 2014 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.6-2.20141009git8544b46
- Host.pm: Fix typo

* Mon Oct  6 2014 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.6-1.20141006gitbf0810b
- Virtprov removed from upstream, remove specfile hack for not
  installing virtprov
- Sanitized Pathname.pm and Host.pm

* Wed Jul  2 2014 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.5-2.20140701git109a792
- Don't install Ragnar's virtprov stuff

* Tue Jul  1 2014 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.5-1.20140701git109a792
- Add mapping for kant/hume masters in Pathname.pm

* Tue Jul  2 2013 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.4-1.20130702gite027a5a
- Add new module BOFH.pm
- Change specfile to use git.uio.no as upstream
- Remove unnecessary buildroot def and cleaning

* Tue Mar  6 2012 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.3-1
- Added Pathname.pm

* Tue Mar  6 2012 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.2-1
- Bugfixes in NetApp.pm

* Tue Mar  6 2012 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.1-1
- Added NetApp.pm
- Filter unneeded Provides
- Remove unnecessary macros
- Added better description

* Tue Sep 13 2011 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.0.3-3
- Release bump for Koji build

* Mon Feb  7 2011 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.0.3-2
- Explicitly require perl(Template)
- Add provides

* Fri Feb  4 2011 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.0.3-1
- Small bugfix in iLO.pm

* Fri Feb  4 2011 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.0.2-1
- Included iLO.pm

* Thu Jan 27 2011 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.0.1-1
- Initial release
